void init_color_table(){
 add_color_table("fwbackground",0xf1f0ef);
 add_color_table("fwbackgroundinputtext",0xfcfcfc);
 add_color_table("fwforeground",0x272623);
 add_color_table("fwforegroundinputtext",0x272623);
 add_color_table("dpdoesnotexist",0xcc3399);
 add_color_table("fwalarmcoloursdonotuse",0x000000);
 add_color_table("fwalarmerrorack",0x3399ff);
 add_color_table("fwalarmerrorunack",0x3399ff);
 add_color_table("fwalarmerrorwentunack",0x999999);
 add_color_table("fwalarmfatalack",0x0000ff);
 add_color_table("fwalarmfatalunack",0x0000ff);
 add_color_table("fwalarmfatalwentunack",0x999999);
 add_color_table("fwalarmmasked",0xcccccc);
 add_color_table("fwalarmtitlebg",0x999999);
 add_color_table("fwalarmwarnack",0x33ffff);
 add_color_table("fwalarmwarnunack",0x33ffff);
 add_color_table("fwalarmwarnwentunack",0x999999);
 add_color_table("fwbackgrounduserattention",0x8080ff);
 add_color_table("fwcorporatecolor",0xffc800);
 add_color_table("fwdead",0xcccccc);
 add_color_table("fwdeprecatedcoloursdonotuse",0x000000);
 add_color_table("fwequipmentdisabled",0xcccccc);
 add_color_table("fwinstallationaltrowcolordark",0xf5f5f5);
 add_color_table("fwinstallationaltrowcolorlight",0xffffff);
 add_color_table("fwinstallationcorporatecolor",0xffc800);
 add_color_table("fwinstallationtableselection",0xfff0c8);
 add_color_table("fwmodeincluded",0x99cc00);
 add_color_table("fwmodeother",0xff9900);
 add_color_table("fwmodetreeincomplete",0x66ffff);
 add_color_table("fwpanelcoloursdonotuse",0x000000);
 add_color_table("fwprovidedcomponentscoloursdonotuse",0x000000);
 add_color_table("fwstateattention1",0x66ffff);
 add_color_table("fwstateattention2",0x0099ff);
 add_color_table("fwstateattention3",0x0000ff);
 add_color_table("fwstateoknotphysics",0xff9900);
 add_color_table("fwstateokphysics",0x99cc00);
 add_color_table("fwtableselection",0xfff0c8);
 add_color_table("fwtrendingcurve1",0x0000ff);
 add_color_table("fwtrendingcurve2",0xff0000);
 add_color_table("fwtrendingcurve3",0x009900);
 add_color_table("fwtrendingcurve4",0xffff00);
 add_color_table("fwtrendingcurve5",0x003366);
 add_color_table("fwtrendingcurve6",0x00ccff);
 add_color_table("fwtrendingcurve7",0xff00ff);
 add_color_table("fwtrendingcurve8",0x00ff00);
 add_color_table("fwtrendingdatanoaccess",0x000000);
 add_color_table("fwtrendingfaceplatebackground",0xc8d0d4);
 add_color_table("fwtrendingfaceplateforeground",0x000000);
 add_color_table("fwtrendingfaceplatetrendbackground",0xc8d0da);
 add_color_table("fwtrendingtrendbackground",0xffffff);
 add_color_table("fwtrendingtrendforeground",0x000000);
 add_color_table("fwtrendingviewbackground",0x666666);
 add_color_table("fwtrendingviewforeground",0x000000);
 add_color_table("_none",0x1fffffff);
 add_color_table("_scrollbar",0xf1f0ef);
 add_color_table("_background",0xf1f0ef);
 add_color_table("_activecaption",0xa0792d);
 add_color_table("_inactivecaption",0xaca8a4);
 add_color_table("_menu",0xffffff);
 add_color_table("_window",0xfcfcfc);
 add_color_table("_windowframe",0xd0a656);
 add_color_table("_menutext",0x272623);
 add_color_table("_windowtext",0x272623);
 add_color_table("_captiontext",0xffffff);
 add_color_table("_activeborder",0xf1f0ef);
 add_color_table("_inactiveborder",0xf1f0ef);
 add_color_table("_appworkspace",0xfcfcfc);
 add_color_table("_highlight",0xe9ae3d);
 add_color_table("_highlighttext",0xfcfcfc);
 add_color_table("_btnface",0xf1f0ef);
 add_color_table("_btnshadow",0xaca8a4);
 add_color_table("_graytext",0xafadaa);
 add_color_table("_btntext",0x272623);
 add_color_table("_inactivecaptiontext",0xffffff);
 add_color_table("_btnhighlight",0xffffff);
 add_color_table("_3ddkshadow",0x000000);
 add_color_table("_3dlight",0xf1f0ef);
 add_color_table("_infotext",0x272623);
 add_color_table("_infobk",0xfcfcfc);
 add_color_table("_hotlight",0xffffff);
 add_color_table("_gradientactivecaption",0xffd37f);
 add_color_table("_gradientinactivecaption",0xfcfcfc);
 add_color_table("_menuhilight",0xfcfcfc);
 add_color_table("_menubar",0xf1f0ef);
 add_color_table("_button",0xf1f0ef);
 add_color_table("_buttontext",0x272623);
 add_color_table("_buttonshadow",0xaca8a4);
 add_color_table("_tooltip",0xfcfcfc);
 add_color_table("_tooltiptext",0x272623);
 add_color_table("_desktop",0xf1f0ef);
 add_color_table("_3dface",0xf1f0ef);
 add_color_table("_3dtext",0x272623);
 add_color_table("_3dshadow",0xaca8a4);
 add_color_table("_3dhighlight",0xffffff);
 add_color_table("_3dhilight",0xffffff);
 add_color_table("_btnhilight",0xffffff);
 add_color_table("snow",0xfafaff);
 add_color_table("ghostwhite",0xfff8f8);
 add_color_table("whitesmoke",0xf5f5f5);
 add_color_table("gainsboro",0xdcdcdc);
 add_color_table("floralwhite",0xf0faff);
 add_color_table("oldlace",0xe6f5fd);
 add_color_table("linen",0xe6f0fa);
 add_color_table("antiquewhite",0xd7ebfa);
 add_color_table("papayawhip",0xd5efff);
 add_color_table("blanchedalmond",0xcdebff);
 add_color_table("bisque",0xc4e4ff);
 add_color_table("peachpuff",0xb9daff);
 add_color_table("navajowhite",0xaddeff);
 add_color_table("moccasin",0xb5e4ff);
 add_color_table("cornsilk",0xdcf8ff);
 add_color_table("ivory",0xf0ffff);
 add_color_table("lemonchiffon",0xcdfaff);
 add_color_table("seashell",0xeef5ff);
 add_color_table("honeydew",0xf0fff0);
 add_color_table("mintcream",0xfafff5);
 add_color_table("azure",0xfffff0);
 add_color_table("aliceblue",0xfff8f0);
 add_color_table("lavender",0xfae6e6);
 add_color_table("lavenderblush",0xf5f0ff);
 add_color_table("mistyrose",0xe1e4ff);
 add_color_table("white",0xffffff);
 add_color_table("black",0x000000);
 add_color_table("darkslategray",0x4f4f2f);
 add_color_table("darkslategrey",0x4f4f2f);
 add_color_table("dimgray",0x696969);
 add_color_table("dimgrey",0x696969);
 add_color_table("slategray",0x908070);
 add_color_table("slategrey",0x908070);
 add_color_table("lightslategray",0x998877);
 add_color_table("lightslategrey",0x998877);
 add_color_table("gray",0xbebebe);
 add_color_table("grey",0xbebebe);
 add_color_table("lightgrey",0xd3d3d3);
 add_color_table("lightgray",0xd3d3d3);
 add_color_table("midnightblue",0x701919);
 add_color_table("navy",0x800000);
 add_color_table("navyblue",0x800000);
 add_color_table("cornflowerblue",0xed9564);
 add_color_table("darkslateblue",0x8b3d48);
 add_color_table("slateblue",0xcd5a6a);
 add_color_table("mediumslateblue",0xee687b);
 add_color_table("lightslateblue",0xff7084);
 add_color_table("mediumblue",0xcd0000);
 add_color_table("royalblue",0xe16941);
 add_color_table("blue",0xff0000);
 add_color_table("dodgerblue",0xff901e);
 add_color_table("deepskyblue",0xffbf00);
 add_color_table("skyblue",0xebce87);
 add_color_table("lightskyblue",0xface87);
 add_color_table("steelblue",0xb48246);
 add_color_table("lightsteelblue",0xdec4b0);
 add_color_table("lightblue",0xe6d8ad);
 add_color_table("powderblue",0xe6e0b0);
 add_color_table("paleturquoise",0xeeeeaf);
 add_color_table("darkturquoise",0xd1ce00);
 add_color_table("mediumturquoise",0xccd148);
 add_color_table("turquoise",0xd0e040);
 add_color_table("cyan",0xffff00);
 add_color_table("lightcyan",0xffffe0);
 add_color_table("cadetblue",0xa09e5f);
 add_color_table("mediumaquamarine",0xaacd66);
 add_color_table("aquamarine",0xd4ff7f);
 add_color_table("darkgreen",0x006400);
 add_color_table("darkolivegreen",0x2f6b55);
 add_color_table("darkseagreen",0x8fbc8f);
 add_color_table("seagreen",0x578b2e);
 add_color_table("mediumseagreen",0x71b33c);
 add_color_table("lightseagreen",0xaab220);
 add_color_table("palegreen",0x98fb98);
 add_color_table("springgreen",0x7fff00);
 add_color_table("lawngreen",0x00fc7c);
 add_color_table("green",0x00ff00);
 add_color_table("chartreuse",0x00ff7f);
 add_color_table("mediumspringgreen",0x9afa00);
 add_color_table("greenyellow",0x2fffad);
 add_color_table("limegreen",0x32cd32);
 add_color_table("yellowgreen",0x32cd9a);
 add_color_table("forestgreen",0x228b22);
 add_color_table("olivedrab",0x238e6b);
 add_color_table("darkkhaki",0x6bb7bd);
 add_color_table("khaki",0x8ce6f0);
 add_color_table("palegoldenrod",0xaae8ee);
 add_color_table("lightgoldenrodyellow",0xd2fafa);
 add_color_table("lightyellow",0xe0ffff);
 add_color_table("yellow",0x00ffff);
 add_color_table("gold",0x00d7ff);
 add_color_table("lightgoldenrod",0x82ddee);
 add_color_table("goldenrod",0x20a5da);
 add_color_table("darkgoldenrod",0x0b86b8);
 add_color_table("rosybrown",0x8f8fbc);
 add_color_table("indianred",0x5c5ccd);
 add_color_table("saddlebrown",0x13458b);
 add_color_table("sienna",0x2d52a0);
 add_color_table("peru",0x3f85cd);
 add_color_table("burlywood",0x87b8de);
 add_color_table("beige",0xdcf5f5);
 add_color_table("wheat",0xb3def5);
 add_color_table("sandybrown",0x60a4f4);
 add_color_table("tan",0x8cb4d2);
 add_color_table("chocolate",0x1e69d2);
 add_color_table("firebrick",0x2222b2);
 add_color_table("brown",0x2a2aa5);
 add_color_table("darksalmon",0x7a96e9);
 add_color_table("salmon",0x7280fa);
 add_color_table("lightsalmon",0x7aa0ff);
 add_color_table("orange",0x00a5ff);
 add_color_table("darkorange",0x008cff);
 add_color_table("coral",0x507fff);
 add_color_table("lightcoral",0x8080f0);
 add_color_table("tomato",0x4763ff);
 add_color_table("orangered",0x0045ff);
 add_color_table("red",0x0000ff);
 add_color_table("hotpink",0xb469ff);
 add_color_table("deeppink",0x9314ff);
 add_color_table("pink",0xcbc0ff);
 add_color_table("lightpink",0xc1b6ff);
 add_color_table("palevioletred",0x9370db);
 add_color_table("maroon",0x6030b0);
 add_color_table("mediumvioletred",0x8515c7);
 add_color_table("violetred",0x9020d0);
 add_color_table("magenta",0xff00ff);
 add_color_table("violet",0xee82ee);
 add_color_table("plum",0xdda0dd);
 add_color_table("orchid",0xd670da);
 add_color_table("mediumorchid",0xd355ba);
 add_color_table("darkorchid",0xcc3299);
 add_color_table("darkviolet",0xd30094);
 add_color_table("blueviolet",0xe22b8a);
 add_color_table("purple",0xf020a0);
 add_color_table("mediumpurple",0xdb7093);
 add_color_table("thistle",0xd8bfd8);
 add_color_table("snow1",0xfafaff);
 add_color_table("snow2",0xe9e9ee);
 add_color_table("snow3",0xc9c9cd);
 add_color_table("snow4",0x89898b);
 add_color_table("seashell1",0xeef5ff);
 add_color_table("seashell2",0xdee5ee);
 add_color_table("seashell3",0xbfc5cd);
 add_color_table("seashell4",0x82868b);
 add_color_table("antiquewhite1",0xdbefff);
 add_color_table("antiquewhite2",0xccdfee);
 add_color_table("antiquewhite3",0xb0c0cd);
 add_color_table("antiquewhite4",0x78838b);
 add_color_table("bisque1",0xc4e4ff);
 add_color_table("bisque2",0xb7d5ee);
 add_color_table("bisque3",0x9eb7cd);
 add_color_table("bisque4",0x6b7d8b);
 add_color_table("peachpuff1",0xb9daff);
 add_color_table("peachpuff2",0xadcbee);
 add_color_table("peachpuff3",0x95afcd);
 add_color_table("peachpuff4",0x65778b);
 add_color_table("navajowhite1",0xaddeff);
 add_color_table("navajowhite2",0xa1cfee);
 add_color_table("navajowhite3",0x8bb3cd);
 add_color_table("navajowhite4",0x5e798b);
 add_color_table("lemonchiffon1",0xcdfaff);
 add_color_table("lemonchiffon2",0xbfe9ee);
 add_color_table("lemonchiffon3",0xa5c9cd);
 add_color_table("lemonchiffon4",0x70898b);
 add_color_table("cornsilk1",0xdcf8ff);
 add_color_table("cornsilk2",0xcde8ee);
 add_color_table("cornsilk3",0xb1c8cd);
 add_color_table("cornsilk4",0x78888b);
 add_color_table("ivory1",0xf0ffff);
 add_color_table("ivory2",0xe0eeee);
 add_color_table("ivory3",0xc1cdcd);
 add_color_table("ivory4",0x838b8b);
 add_color_table("honeydew1",0xf0fff0);
 add_color_table("honeydew2",0xe0eee0);
 add_color_table("honeydew3",0xc1cdc1);
 add_color_table("honeydew4",0x838b83);
 add_color_table("lavenderblush1",0xf5f0ff);
 add_color_table("lavenderblush2",0xe5e0ee);
 add_color_table("lavenderblush3",0xc5c1cd);
 add_color_table("lavenderblush4",0x86838b);
 add_color_table("mistyrose1",0xe1e4ff);
 add_color_table("mistyrose2",0xd2d5ee);
 add_color_table("mistyrose3",0xb5b7cd);
 add_color_table("mistyrose4",0x7b7d8b);
 add_color_table("azure1",0xfffff0);
 add_color_table("azure2",0xeeeee0);
 add_color_table("azure3",0xcdcdc1);
 add_color_table("azure4",0x8b8b83);
 add_color_table("slateblue1",0xff6f83);
 add_color_table("slateblue2",0xee677a);
 add_color_table("slateblue3",0xcd5969);
 add_color_table("slateblue4",0x8b3c47);
 add_color_table("royalblue1",0xff7648);
 add_color_table("royalblue2",0xee6e43);
 add_color_table("royalblue3",0xcd5f3a);
 add_color_table("royalblue4",0x8b4027);
 add_color_table("blue1",0xff0000);
 add_color_table("blue2",0xee0000);
 add_color_table("blue3",0xcd0000);
 add_color_table("blue4",0x8b0000);
 add_color_table("dodgerblue1",0xff901e);
 add_color_table("dodgerblue2",0xee861c);
 add_color_table("dodgerblue3",0xcd7418);
 add_color_table("dodgerblue4",0x8b4e10);
 add_color_table("steelblue1",0xffb863);
 add_color_table("steelblue2",0xeeac5c);
 add_color_table("steelblue3",0xcd944f);
 add_color_table("steelblue4",0x8b6436);
 add_color_table("deepskyblue1",0xffbf00);
 add_color_table("deepskyblue2",0xeeb200);
 add_color_table("deepskyblue3",0xcd9a00);
 add_color_table("deepskyblue4",0x8b6800);
 add_color_table("skyblue1",0xffce87);
 add_color_table("skyblue2",0xeec07e);
 add_color_table("skyblue3",0xcda66c);
 add_color_table("skyblue4",0x8b704a);
 add_color_table("lightskyblue1",0xffe2b0);
 add_color_table("lightskyblue2",0xeed3a4);
 add_color_table("lightskyblue3",0xcdb68d);
 add_color_table("lightskyblue4",0x8b7b60);
 add_color_table("slategray1",0xffe2c6);
 add_color_table("slategray2",0xeed3b9);
 add_color_table("slategray3",0xcdb69f);
 add_color_table("slategray4",0x8b7b6c);
 add_color_table("lightsteelblue1",0xffe1ca);
 add_color_table("lightsteelblue2",0xeed2bc);
 add_color_table("lightsteelblue3",0xcdb5a2);
 add_color_table("lightsteelblue4",0x8b7b6e);
 add_color_table("lightblue1",0xffefbf);
 add_color_table("lightblue2",0xeedfb2);
 add_color_table("lightblue3",0xcdc09a);
 add_color_table("lightblue4",0x8b8368);
 add_color_table("lightcyan1",0xffffe0);
 add_color_table("lightcyan2",0xeeeed1);
 add_color_table("lightcyan3",0xcdcdb4);
 add_color_table("lightcyan4",0x8b8b7a);
 add_color_table("paleturquoise1",0xffffbb);
 add_color_table("paleturquoise2",0xeeeeae);
 add_color_table("paleturquoise3",0xcdcd96);
 add_color_table("paleturquoise4",0x8b8b66);
 add_color_table("cadetblue1",0xfff598);
 add_color_table("cadetblue2",0xeee58e);
 add_color_table("cadetblue3",0xcdc57a);
 add_color_table("cadetblue4",0x8b8653);
 add_color_table("turquoise1",0xfff500);
 add_color_table("turquoise2",0xeee500);
 add_color_table("turquoise3",0xcdc500);
 add_color_table("turquoise4",0x8b8600);
 add_color_table("cyan1",0xffff00);
 add_color_table("cyan2",0xeeee00);
 add_color_table("cyan3",0xcdcd00);
 add_color_table("cyan4",0x8b8b00);
 add_color_table("darkslategray1",0xffff97);
 add_color_table("darkslategray2",0xeeee8d);
 add_color_table("darkslategray3",0xcdcd79);
 add_color_table("darkslategray4",0x8b8b52);
 add_color_table("aquamarine1",0xd4ff7f);
 add_color_table("aquamarine2",0xc6ee76);
 add_color_table("aquamarine3",0xaacd66);
 add_color_table("aquamarine4",0x748b45);
 add_color_table("darkseagreen1",0xc1ffc1);
 add_color_table("darkseagreen2",0xb4eeb4);
 add_color_table("darkseagreen3",0x9bcd9b);
 add_color_table("darkseagreen4",0x698b69);
 add_color_table("seagreen1",0x9fff54);
 add_color_table("seagreen2",0x94ee4e);
 add_color_table("seagreen3",0x80cd43);
 add_color_table("seagreen4",0x578b2e);
 add_color_table("palegreen1",0x9aff9a);
 add_color_table("palegreen2",0x90ee90);
 add_color_table("palegreen3",0x7ccd7c);
 add_color_table("palegreen4",0x548b54);
 add_color_table("springgreen1",0x7fff00);
 add_color_table("springgreen2",0x76ee00);
 add_color_table("springgreen3",0x66cd00);
 add_color_table("springgreen4",0x458b00);
 add_color_table("green1",0x00ff00);
 add_color_table("green2",0x00ee00);
 add_color_table("green3",0x00cd00);
 add_color_table("green4",0x008b00);
 add_color_table("chartreuse1",0x00ff7f);
 add_color_table("chartreuse2",0x00ee76);
 add_color_table("chartreuse3",0x00cd66);
 add_color_table("chartreuse4",0x008b45);
 add_color_table("olivedrab1",0x3effc0);
 add_color_table("olivedrab2",0x3aeeb3);
 add_color_table("olivedrab3",0x32cd9a);
 add_color_table("olivedrab4",0x228b69);
 add_color_table("darkolivegreen1",0x70ffca);
 add_color_table("darkolivegreen2",0x68eebc);
 add_color_table("darkolivegreen3",0x5acda2);
 add_color_table("darkolivegreen4",0x3d8b6e);
 add_color_table("khaki1",0x8ff6ff);
 add_color_table("khaki2",0x85e6ee);
 add_color_table("khaki3",0x73c6cd);
 add_color_table("khaki4",0x4e868b);
 add_color_table("lightgoldenrod1",0x8becff);
 add_color_table("lightgoldenrod2",0x82dcee);
 add_color_table("lightgoldenrod3",0x70becd);
 add_color_table("lightgoldenrod4",0x4c818b);
 add_color_table("lightyellow1",0xe0ffff);
 add_color_table("lightyellow2",0xd1eeee);
 add_color_table("lightyellow3",0xb4cdcd);
 add_color_table("lightyellow4",0x7a8b8b);
 add_color_table("yellow1",0x00ffff);
 add_color_table("yellow2",0x00eeee);
 add_color_table("yellow3",0x00cdcd);
 add_color_table("yellow4",0x008b8b);
 add_color_table("gold1",0x00d7ff);
 add_color_table("gold2",0x00c9ee);
 add_color_table("gold3",0x00adcd);
 add_color_table("gold4",0x00758b);
 add_color_table("goldenrod1",0x25c1ff);
 add_color_table("goldenrod2",0x22b4ee);
 add_color_table("goldenrod3",0x1d9bcd);
 add_color_table("goldenrod4",0x14698b);
 add_color_table("darkgoldenrod1",0x0fb9ff);
 add_color_table("darkgoldenrod2",0x0eadee);
 add_color_table("darkgoldenrod3",0x0c95cd);
 add_color_table("darkgoldenrod4",0x08658b);
 add_color_table("rosybrown1",0xc1c1ff);
 add_color_table("rosybrown2",0xb4b4ee);
 add_color_table("rosybrown3",0x9b9bcd);
 add_color_table("rosybrown4",0x69698b);
 add_color_table("indianred1",0x6a6aff);
 add_color_table("indianred2",0x6363ee);
 add_color_table("indianred3",0x5555cd);
 add_color_table("indianred4",0x3a3a8b);
 add_color_table("sienna1",0x4782ff);
 add_color_table("sienna2",0x4279ee);
 add_color_table("sienna3",0x3968cd);
 add_color_table("sienna4",0x26478b);
 add_color_table("burlywood1",0x9bd3ff);
 add_color_table("burlywood2",0x91c5ee);
 add_color_table("burlywood3",0x7daacd);
 add_color_table("burlywood4",0x55738b);
 add_color_table("wheat1",0xbae7ff);
 add_color_table("wheat2",0xaed8ee);
 add_color_table("wheat3",0x96bacd);
 add_color_table("wheat4",0x667e8b);
 add_color_table("tan1",0x4fa5ff);
 add_color_table("tan2",0x499aee);
 add_color_table("tan3",0x3f85cd);
 add_color_table("tan4",0x2b5a8b);
 add_color_table("chocolate1",0x247fff);
 add_color_table("chocolate2",0x2176ee);
 add_color_table("chocolate3",0x1d66cd);
 add_color_table("chocolate4",0x13458b);
 add_color_table("firebrick1",0x3030ff);
 add_color_table("firebrick2",0x2c2cee);
 add_color_table("firebrick3",0x2626cd);
 add_color_table("firebrick4",0x1a1a8b);
 add_color_table("brown1",0x4040ff);
 add_color_table("brown2",0x3b3bee);
 add_color_table("brown3",0x3333cd);
 add_color_table("brown4",0x23238b);
 add_color_table("salmon1",0x698cff);
 add_color_table("salmon2",0x6282ee);
 add_color_table("salmon3",0x5470cd);
 add_color_table("salmon4",0x394c8b);
 add_color_table("lightsalmon1",0x7aa0ff);
 add_color_table("lightsalmon2",0x7295ee);
 add_color_table("lightsalmon3",0x6281cd);
 add_color_table("lightsalmon4",0x42578b);
 add_color_table("orange1",0x00a5ff);
 add_color_table("orange2",0x009aee);
 add_color_table("orange3",0x0085cd);
 add_color_table("orange4",0x005a8b);
 add_color_table("darkorange1",0x007fff);
 add_color_table("darkorange2",0x0076ee);
 add_color_table("darkorange3",0x0066cd);
 add_color_table("darkorange4",0x00458b);
 add_color_table("coral1",0x5672ff);
 add_color_table("coral2",0x506aee);
 add_color_table("coral3",0x455bcd);
 add_color_table("coral4",0x2f3e8b);
 add_color_table("tomato1",0x4763ff);
 add_color_table("tomato2",0x425cee);
 add_color_table("tomato3",0x394fcd);
 add_color_table("tomato4",0x26368b);
 add_color_table("orangered1",0x0045ff);
 add_color_table("orangered2",0x0040ee);
 add_color_table("orangered3",0x0037cd);
 add_color_table("orangered4",0x00258b);
 add_color_table("red1",0x0000ff);
 add_color_table("red2",0x0000ee);
 add_color_table("red3",0x0000cd);
 add_color_table("red4",0x00008b);
 add_color_table("deeppink1",0x9314ff);
 add_color_table("deeppink2",0x8912ee);
 add_color_table("deeppink3",0x7610cd);
 add_color_table("deeppink4",0x500a8b);
 add_color_table("hotpink1",0xb46eff);
 add_color_table("hotpink2",0xa76aee);
 add_color_table("hotpink3",0x9060cd);
 add_color_table("hotpink4",0x623a8b);
 add_color_table("pink1",0xc5b5ff);
 add_color_table("pink2",0xb8a9ee);
 add_color_table("pink3",0x9e91cd);
 add_color_table("pink4",0x6c638b);
 add_color_table("lightpink1",0xb9aeff);
 add_color_table("lightpink2",0xada2ee);
 add_color_table("lightpink3",0x958ccd);
 add_color_table("lightpink4",0x655f8b);
 add_color_table("palevioletred1",0xab82ff);
 add_color_table("palevioletred2",0x9f79ee);
 add_color_table("palevioletred3",0x8968cd);
 add_color_table("palevioletred4",0x5d478b);
 add_color_table("maroon1",0xb334ff);
 add_color_table("maroon2",0xa730ee);
 add_color_table("maroon3",0x9029cd);
 add_color_table("maroon4",0x621c8b);
 add_color_table("violetred1",0x963eff);
 add_color_table("violetred2",0x8c3aee);
 add_color_table("violetred3",0x7832cd);
 add_color_table("violetred4",0x52228b);
 add_color_table("magenta1",0xff00ff);
 add_color_table("magenta2",0xee00ee);
 add_color_table("magenta3",0xcd00cd);
 add_color_table("magenta4",0x8b008b);
 add_color_table("orchid1",0xfa83ff);
 add_color_table("orchid2",0xe97aee);
 add_color_table("orchid3",0xc969cd);
 add_color_table("orchid4",0x89478b);
 add_color_table("plum1",0xffbbff);
 add_color_table("plum2",0xeeaeee);
 add_color_table("plum3",0xcd96cd);
 add_color_table("plum4",0x8b668b);
 add_color_table("mediumorchid1",0xff66e0);
 add_color_table("mediumorchid2",0xee5fd1);
 add_color_table("mediumorchid3",0xcd52b4);
 add_color_table("mediumorchid4",0x8b377a);
 add_color_table("darkorchid1",0xff3ebf);
 add_color_table("darkorchid2",0xee3ab2);
 add_color_table("darkorchid3",0xcd329a);
 add_color_table("darkorchid4",0x8b2268);
 add_color_table("purple1",0xff309b);
 add_color_table("purple2",0xee2c91);
 add_color_table("purple3",0xcd267d);
 add_color_table("purple4",0x8b1a55);
 add_color_table("mediumpurple1",0xff82ab);
 add_color_table("mediumpurple2",0xee799f);
 add_color_table("mediumpurple3",0xcd6889);
 add_color_table("mediumpurple4",0x8b475d);
 add_color_table("thistle1",0xffe1ff);
 add_color_table("thistle2",0xeed2ee);
 add_color_table("thistle3",0xcdb5cd);
 add_color_table("thistle4",0x8b7b8b);
 add_color_table("gray0",0x000000);
 add_color_table("grey0",0x000000);
 add_color_table("gray1",0x030303);
 add_color_table("grey1",0x030303);
 add_color_table("gray2",0x050505);
 add_color_table("grey2",0x050505);
 add_color_table("gray3",0x080808);
 add_color_table("grey3",0x080808);
 add_color_table("gray4",0x0a0a0a);
 add_color_table("grey4",0x0a0a0a);
 add_color_table("gray5",0x0d0d0d);
 add_color_table("grey5",0x0d0d0d);
 add_color_table("gray6",0x0f0f0f);
 add_color_table("grey6",0x0f0f0f);
 add_color_table("gray7",0x121212);
 add_color_table("grey7",0x121212);
 add_color_table("gray8",0x141414);
 add_color_table("grey8",0x141414);
 add_color_table("gray9",0x171717);
 add_color_table("grey9",0x171717);
 add_color_table("gray10",0x1a1a1a);
 add_color_table("grey10",0x1a1a1a);
 add_color_table("gray11",0x1c1c1c);
 add_color_table("grey11",0x1c1c1c);
 add_color_table("gray12",0x1f1f1f);
 add_color_table("grey12",0x1f1f1f);
 add_color_table("gray13",0x212121);
 add_color_table("grey13",0x212121);
 add_color_table("gray14",0x242424);
 add_color_table("grey14",0x242424);
 add_color_table("gray15",0x262626);
 add_color_table("grey15",0x262626);
 add_color_table("gray16",0x292929);
 add_color_table("grey16",0x292929);
 add_color_table("gray17",0x2b2b2b);
 add_color_table("grey17",0x2b2b2b);
 add_color_table("gray18",0x2e2e2e);
 add_color_table("grey18",0x2e2e2e);
 add_color_table("gray19",0x303030);
 add_color_table("grey19",0x303030);
 add_color_table("gray20",0x333333);
 add_color_table("grey20",0x333333);
 add_color_table("gray21",0x363636);
 add_color_table("grey21",0x363636);
 add_color_table("gray22",0x383838);
 add_color_table("grey22",0x383838);
 add_color_table("gray23",0x3b3b3b);
 add_color_table("grey23",0x3b3b3b);
 add_color_table("gray24",0x3d3d3d);
 add_color_table("grey24",0x3d3d3d);
 add_color_table("gray25",0x404040);
 add_color_table("grey25",0x404040);
 add_color_table("gray26",0x424242);
 add_color_table("grey26",0x424242);
 add_color_table("gray27",0x454545);
 add_color_table("grey27",0x454545);
 add_color_table("gray28",0x474747);
 add_color_table("grey28",0x474747);
 add_color_table("gray29",0x4a4a4a);
 add_color_table("grey29",0x4a4a4a);
 add_color_table("gray30",0x4d4d4d);
 add_color_table("grey30",0x4d4d4d);
 add_color_table("gray31",0x4f4f4f);
 add_color_table("grey31",0x4f4f4f);
 add_color_table("gray32",0x525252);
 add_color_table("grey32",0x525252);
 add_color_table("gray33",0x545454);
 add_color_table("grey33",0x545454);
 add_color_table("gray34",0x575757);
 add_color_table("grey34",0x575757);
 add_color_table("gray35",0x595959);
 add_color_table("grey35",0x595959);
 add_color_table("gray36",0x5c5c5c);
 add_color_table("grey36",0x5c5c5c);
 add_color_table("gray37",0x5e5e5e);
 add_color_table("grey37",0x5e5e5e);
 add_color_table("gray38",0x616161);
 add_color_table("grey38",0x616161);
 add_color_table("gray39",0x636363);
 add_color_table("grey39",0x636363);
 add_color_table("gray40",0x666666);
 add_color_table("grey40",0x666666);
 add_color_table("gray41",0x696969);
 add_color_table("grey41",0x696969);
 add_color_table("gray42",0x6b6b6b);
 add_color_table("grey42",0x6b6b6b);
 add_color_table("gray43",0x6e6e6e);
 add_color_table("grey43",0x6e6e6e);
 add_color_table("gray44",0x707070);
 add_color_table("grey44",0x707070);
 add_color_table("gray45",0x737373);
 add_color_table("grey45",0x737373);
 add_color_table("gray46",0x757575);
 add_color_table("grey46",0x757575);
 add_color_table("gray47",0x787878);
 add_color_table("grey47",0x787878);
 add_color_table("gray48",0x7a7a7a);
 add_color_table("grey48",0x7a7a7a);
 add_color_table("gray49",0x7d7d7d);
 add_color_table("grey49",0x7d7d7d);
 add_color_table("gray50",0x7f7f7f);
 add_color_table("grey50",0x7f7f7f);
 add_color_table("gray51",0x828282);
 add_color_table("grey51",0x828282);
 add_color_table("gray52",0x858585);
 add_color_table("grey52",0x858585);
 add_color_table("gray53",0x878787);
 add_color_table("grey53",0x878787);
 add_color_table("gray54",0x8a8a8a);
 add_color_table("grey54",0x8a8a8a);
 add_color_table("gray55",0x8c8c8c);
 add_color_table("grey55",0x8c8c8c);
 add_color_table("gray56",0x8f8f8f);
 add_color_table("grey56",0x8f8f8f);
 add_color_table("gray57",0x919191);
 add_color_table("grey57",0x919191);
 add_color_table("gray58",0x949494);
 add_color_table("grey58",0x949494);
 add_color_table("gray59",0x969696);
 add_color_table("grey59",0x969696);
 add_color_table("gray60",0x999999);
 add_color_table("grey60",0x999999);
 add_color_table("gray61",0x9c9c9c);
 add_color_table("grey61",0x9c9c9c);
 add_color_table("gray62",0x9e9e9e);
 add_color_table("grey62",0x9e9e9e);
 add_color_table("gray63",0xa1a1a1);
 add_color_table("grey63",0xa1a1a1);
 add_color_table("gray64",0xa3a3a3);
 add_color_table("grey64",0xa3a3a3);
 add_color_table("gray65",0xa6a6a6);
 add_color_table("grey65",0xa6a6a6);
 add_color_table("gray66",0xa8a8a8);
 add_color_table("grey66",0xa8a8a8);
 add_color_table("gray67",0xababab);
 add_color_table("grey67",0xababab);
 add_color_table("gray68",0xadadad);
 add_color_table("grey68",0xadadad);
 add_color_table("gray69",0xb0b0b0);
 add_color_table("grey69",0xb0b0b0);
 add_color_table("gray70",0xb3b3b3);
 add_color_table("grey70",0xb3b3b3);
 add_color_table("gray71",0xb5b5b5);
 add_color_table("grey71",0xb5b5b5);
 add_color_table("gray72",0xb8b8b8);
 add_color_table("grey72",0xb8b8b8);
 add_color_table("gray73",0xbababa);
 add_color_table("grey73",0xbababa);
 add_color_table("gray74",0xbdbdbd);
 add_color_table("grey74",0xbdbdbd);
 add_color_table("gray75",0xbfbfbf);
 add_color_table("grey75",0xbfbfbf);
 add_color_table("gray76",0xc2c2c2);
 add_color_table("grey76",0xc2c2c2);
 add_color_table("gray77",0xc4c4c4);
 add_color_table("grey77",0xc4c4c4);
 add_color_table("gray78",0xc7c7c7);
 add_color_table("grey78",0xc7c7c7);
 add_color_table("gray79",0xc9c9c9);
 add_color_table("grey79",0xc9c9c9);
 add_color_table("gray80",0xcccccc);
 add_color_table("grey80",0xcccccc);
 add_color_table("gray81",0xcfcfcf);
 add_color_table("grey81",0xcfcfcf);
 add_color_table("gray82",0xd1d1d1);
 add_color_table("grey82",0xd1d1d1);
 add_color_table("gray83",0xd4d4d4);
 add_color_table("grey83",0xd4d4d4);
 add_color_table("gray84",0xd6d6d6);
 add_color_table("grey84",0xd6d6d6);
 add_color_table("gray85",0xd9d9d9);
 add_color_table("grey85",0xd9d9d9);
 add_color_table("gray86",0xdbdbdb);
 add_color_table("grey86",0xdbdbdb);
 add_color_table("gray87",0xdedede);
 add_color_table("grey87",0xdedede);
 add_color_table("gray88",0xe0e0e0);
 add_color_table("grey88",0xe0e0e0);
 add_color_table("gray89",0xe3e3e3);
 add_color_table("grey89",0xe3e3e3);
 add_color_table("gray90",0xe5e5e5);
 add_color_table("grey90",0xe5e5e5);
 add_color_table("gray91",0xe8e8e8);
 add_color_table("grey91",0xe8e8e8);
 add_color_table("gray92",0xebebeb);
 add_color_table("grey92",0xebebeb);
 add_color_table("gray93",0xededed);
 add_color_table("grey93",0xededed);
 add_color_table("gray94",0xf0f0f0);
 add_color_table("grey94",0xf0f0f0);
 add_color_table("gray95",0xf2f2f2);
 add_color_table("grey95",0xf2f2f2);
 add_color_table("gray96",0xf5f5f5);
 add_color_table("grey96",0xf5f5f5);
 add_color_table("gray97",0xf7f7f7);
 add_color_table("grey97",0xf7f7f7);
 add_color_table("gray98",0xfafafa);
 add_color_table("grey98",0xfafafa);
 add_color_table("gray99",0xfcfcfc);
 add_color_table("grey99",0xfcfcfc);
 add_color_table("gray100",0xffffff);
 add_color_table("grey100",0xffffff);
 add_color_table("darkgrey",0xa9a9a9);
 add_color_table("darkgray",0xa9a9a9);
 add_color_table("darkblue",0x8b0000);
 add_color_table("darkcyan",0x8b8b00);
 add_color_table("darkmagenta",0x8b008b);
 add_color_table("darkred",0x00008b);
 add_color_table("lightgreen",0x90ee90);
 add_color_table("indianred",0x5c5ccd);
 add_color_table("lightcoral",0x8080f0);
 add_color_table("salmon",0x7280fa);
 add_color_table("darksalmon",0x7a96e9);
 add_color_table("lightsalmon",0x7aa0ff);
 add_color_table("crimson",0x3c14dc);
 add_color_table("red",0x0000ff);
 add_color_table("firebrick",0x2222b2);
 add_color_table("darkred",0x00008b);
 add_color_table("pink",0xcbc0ff);
 add_color_table("lightpink",0xc1b6ff);
 add_color_table("hotpink",0xb469ff);
 add_color_table("deeppink",0x9314ff);
 add_color_table("mediumvioletred",0x8515c7);
 add_color_table("palevioletred",0x9370db);
 add_color_table("lightsalmon",0x7aa0ff);
 add_color_table("coral",0x507fff);
 add_color_table("tomato",0x4763ff);
 add_color_table("orangered",0x0045ff);
 add_color_table("darkorange",0x008cff);
 add_color_table("orange",0x00a5ff);
 add_color_table("gold",0x00d7ff);
 add_color_table("yellow",0x00ffff);
 add_color_table("lightyellow",0xe0ffff);
 add_color_table("lemonchiffon",0xcdfaff);
 add_color_table("lightgoldenrodyellow",0xd2fafa);
 add_color_table("papayawhip",0xd5efff);
 add_color_table("moccasin",0xb5e4ff);
 add_color_table("peachpuff",0xb9daff);
 add_color_table("palegoldenrod",0xaae8ee);
 add_color_table("khaki",0x8ce6f0);
 add_color_table("darkkhaki",0x6bb7bd);
 add_color_table("lavender",0xfae6e6);
 add_color_table("thistle",0xd8bfd8);
 add_color_table("plum",0xdda0dd);
 add_color_table("violet",0xee82ee);
 add_color_table("orchid",0xd670da);
 add_color_table("fuchsia",0xff00ff);
 add_color_table("magenta",0xff00ff);
 add_color_table("mediumorchid",0xd355ba);
 add_color_table("mediumpurple",0xdb7093);
 add_color_table("amethyst",0xcc6699);
 add_color_table("blueviolet",0xe22b8a);
 add_color_table("darkviolet",0xd30094);
 add_color_table("darkorchid",0xcc3299);
 add_color_table("darkmagenta",0x8b008b);
 add_color_table("purple",0x800080);
 add_color_table("indigo",0x82004b);
 add_color_table("slateblue",0xcd5a6a);
 add_color_table("darkslateblue",0x8b3d48);
 add_color_table("mediumslateblue",0xee687b);
 add_color_table("rebeccapurple",0x993366);
 add_color_table("greenyellow",0x2fffad);
 add_color_table("chartreuse",0x00ff7f);
 add_color_table("lawngreen",0x00fc7c);
 add_color_table("lime",0x00ff00);
 add_color_table("limegreen",0x32cd32);
 add_color_table("palegreen",0x98fb98);
 add_color_table("lightgreen",0x90ee90);
 add_color_table("mediumspringgreen",0x9afa00);
 add_color_table("springgreen",0x7fff00);
 add_color_table("mediumseagreen",0x71b33c);
 add_color_table("seagreen",0x578b2e);
 add_color_table("forestgreen",0x228b22);
 add_color_table("green",0x008000);
 add_color_table("darkgreen",0x006400);
 add_color_table("yellowgreen",0x32cd9a);
 add_color_table("olivedrab",0x238e6b);
 add_color_table("olive",0x008080);
 add_color_table("darkolivegreen",0x2f6b55);
 add_color_table("mediumaquamarine",0xaacd66);
 add_color_table("darkseagreen",0x8fbc8f);
 add_color_table("lightseagreen",0xaab220);
 add_color_table("darkcyan",0x8b8b00);
 add_color_table("teal",0x808000);
 add_color_table("aqua",0xffff00);
 add_color_table("cyan",0xffff00);
 add_color_table("lightcyan",0xffffe0);
 add_color_table("paleturquoise",0xeeeeaf);
 add_color_table("aquamarine",0xd4ff7f);
 add_color_table("turquoise",0xd0e040);
 add_color_table("mediumturquoise",0xccd148);
 add_color_table("darkturquoise",0xd1ce00);
 add_color_table("cadetblue",0xa09e5f);
 add_color_table("steelblue",0xb48246);
 add_color_table("lightsteelblue",0xdec4b0);
 add_color_table("powderblue",0xe6e0b0);
 add_color_table("lightblue",0xe6d8ad);
 add_color_table("skyblue",0xebce87);
 add_color_table("lightskyblue",0xface87);
 add_color_table("deepskyblue",0xffbf00);
 add_color_table("dodgerblue",0xff901e);
 add_color_table("cornflowerblue",0xed9564);
 add_color_table("mediumslateblue",0xee687b);
 add_color_table("royalblue",0xe16941);
 add_color_table("blue",0xff0000);
 add_color_table("mediumblue",0xcd0000);
 add_color_table("darkblue",0x8b0000);
 add_color_table("navy",0x800000);
 add_color_table("midnightblue",0x701919);
 add_color_table("cornsilk",0xdcf8ff);
 add_color_table("blanchedalmond",0xcdebff);
 add_color_table("bisque",0xc4e4ff);
 add_color_table("navajowhite",0xaddeff);
 add_color_table("wheat",0xb3def5);
 add_color_table("burlywood",0x87b8de);
 add_color_table("tan",0x8cb4d2);
 add_color_table("rosybrown",0x8f8fbc);
 add_color_table("sandybrown",0x60a4f4);
 add_color_table("goldenrod",0x20a5da);
 add_color_table("darkgoldenrod",0x0b86b8);
 add_color_table("peru",0x3f85cd);
 add_color_table("chocolate",0x1e69d2);
 add_color_table("saddlebrown",0x13458b);
 add_color_table("sienna",0x2d52a0);
 add_color_table("brown",0x2a2aa5);
 add_color_table("maroon",0x000080);
 add_color_table("white",0xffffff);
 add_color_table("snow",0xfafaff);
 add_color_table("honeydew",0xf0fff0);
 add_color_table("mintcream",0xfafff5);
 add_color_table("azure",0xfffff0);
 add_color_table("aliceblue",0xfff8f0);
 add_color_table("ghostwhite",0xfff8f8);
 add_color_table("whitesmoke",0xf5f5f5);
 add_color_table("seashell",0xeef5ff);
 add_color_table("beige",0xdcf5f5);
 add_color_table("oldlace",0xe6f5fd);
 add_color_table("floralwhite",0xf0faff);
 add_color_table("ivory",0xf0ffff);
 add_color_table("antiquewhite",0xd7ebfa);
 add_color_table("linen",0xe6f0fa);
 add_color_table("lavenderblush",0xf5f0ff);
 add_color_table("mistyrose",0xe1e4ff);
 add_color_table("gainsboro",0xdcdcdc);
 add_color_table("lightgray",0xd3d3d3);
 add_color_table("lightgrey",0xd3d3d3);
 add_color_table("silver",0xc0c0c0);
 add_color_table("darkgray",0xa9a9a9);
 add_color_table("darkgrey",0xa9a9a9);
 add_color_table("gray",0x808080);
 add_color_table("grey",0x808080);
 add_color_table("dimgray",0x696969);
 add_color_table("dimgrey",0x696969);
 add_color_table("lightslategray",0x998877);
 add_color_table("lightslategrey",0x998877);
 add_color_table("slategray",0x908070);
 add_color_table("slategrey",0x908070);
 add_color_table("darkslategray",0x4f4f2f);
 add_color_table("darkslategrey",0x4f4f2f);
 add_color_table("ltgray",0xc0c0c0);
 add_color_table("dkgray",0x808080);
 add_color_table("lightgray",0xc0c0c0);
 add_color_table("darkgray",0x808080);
 add_color_table("black",0x000000);
 add_color_table("maroon",0x000080);
 add_color_table("green",0x008000);
 add_color_table("olive",0x008080);
 add_color_table("navy",0x800000);
 add_color_table("purple",0x800080);
 add_color_table("teal",0x808000);
 add_color_table("gray",0x808080);
 add_color_table("silver",0xc0c0c0);
 add_color_table("red",0x0000ff);
 add_color_table("lime",0x00ff00);
 add_color_table("yellow",0x00ffff);
 add_color_table("blue",0xff0000);
 add_color_table("fuchsia",0xff00ff);
 add_color_table("aqua",0xffff00);
 add_color_table("white",0xffffff);
};
